> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/82.-fraga-aterstall-prenumerationshandelser.md).

# 82. Fråga: Återställ prenumerationshändelser

Det är alltid en god praxis att ha möjlighet att återställa/återkontrollera levererade kontra producerade prenumerationshändelser. Därför lagrar GeoPard historiken för alla producerade prenumerationshändelser för **senaste 12 månaderna**.&#x20;

De vanliga fallen:&#x20;

* Dålig internetanslutning och händelser levererades inte
* Omplacering/återdistribuering av WebSocket-lyssnaren
* Kontrollera konsistensen mottagna kontra producerade händelser

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        åtgärd
        nodePath {
          entitet
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

Stödda indatafilter:

* `dateFrom` som datumtid i ISO 8601-format (t.ex: `"2023-05-25T12:49:00.000Z"`)
* `dateTo` som datumtid i ISO 8601-format (t.ex: `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` som array av "Farm" UUID:er att söka efter
* `fieldUuids` som array av "Field" UUID:er att söka efter&#x20;
* `userUuids` som en array av "User"-UUID:er att söka efter
* `eventUuids` som array av prenumerations-"Event" UUID:er

{% hint style="info" %}
Alla filter fungerar som logiskt **OCH**.
{% endhint %}

{% hint style="info" %}
Varje prenumerationshändelse har en attribut `executionDate` länkad till sändningsögonblicket i AWSDateTime-format kompatibelt med ISO 8601 DateTime.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/82.-fraga-aterstall-prenumerationshandelser.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
